Subject: Re: Where can I get Cygwin 20.1b?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Phil Edwards <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 16 Jun 2000 11:13:50 -0400

At 09:50 AM 6/16/2000, Phil Edwards wrote:

>Carl Thompson <[email-masked]>:
> > Michael Nelson wrote:
> > > 
> > > I just double checked all of this, and it seems GCC is a bit more
> > > tricky. If you have 0 symbols marked with dllexport all public symbols
> > > get exported. If you have >0 symbols marked with dllexport, only they
> > > get exported.
> > > 
> > > I think this is where the mixup is.
> > > 
> > > What I miss on UNIX is the latter feature, the ability it to only
> > > export exactly these symbols.
> >
> > OK, I will grudgingly concede that Windows might be better in that one
> > little respect, then... ;-)
>
>I won't.  :-)  This feature is available on "Unix" but it isn't standardized.
>It depends heavily (AFAICT) on the platform and the linker.

And MS O/S - compiler - linker features in this area aren't standardized 
either so that's really not a mark against the UNIXes that do handle this 
in their own way!;-)

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX
                                        (508) 560-1285 - cell phone

--
Want to unsubscribe from this list?
Send a message to [email-masked]